$Small-devices: 576px;
$Medium-devices: 768px;
$Large-devices: 992px;
$Extra-large: 1200px;

.footer-component {
  background: #D5B777;
  display: grid;
  grid-template-columns: repeat(4, 1fr) 2fr;
  grid-template-rows: 1fr;
  color: #fff;
  padding: 2em 0;

  &-policies {
    text-transform: capitalize;
  }

  &-bkg {
    position: absolute;
    cursor: pointer;
    transition: all ease .5s;
    z-index: 1;
    top: 0;
    bottom: 0;
    left: -100;
    right: 0;
    background: rgba(0, 0, 0, .7);
    width: 100vw;
  }

  &-vertical {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    grid-template-rows: repeat(4, 1fr) 2fr;
    grid-template-columns: 1fr;
    width: 250px;
    z-index: 2;

    .footer-component-link {
      border-right: none;
      border-left: none;
      border-top: 2px solid #fff;
      border-bottom: 2px solid #fff;
    }
  }

  &-logo {
    @include vert-center;
    align-items: center;
    text-align: center;

    img {
      width: 60%;
      max-width: 200px;
    }
  }

  &-data {
    padding: 1em 1em 0;

    h2 {
      font-weight: 700;
      line-height: 1em;
      margin-bottom: .5em;
      font-size: medium;
    }

    ul {
      list-style-type: none;
      font-size: smaller;
    }

    a {
      font-weight: 500;
      line-height: 1.2em;
      color: #fff;

      &:hover {
        font-weight: 700;
      }

    }
  }

  &-link {
    @include vert-center;
    flex-direction: column;
    justify-content: space-evenly;
    border-left: 2px solid #fff;
    border-right: 2px solid #fff;

    a {
      color: inherit;
      margin: 0 2em;
      font-weight: 700;
      font-size: smaller;
    }
  }

  &-social {
    padding-left: 2em;

    h2 {
      padding: 1em 0;
      font-size: smaller;
      font-weight: 700;
    }

    input {
      border: none;
      font-size: smaller;
      font-weight: 700;

    }

    input[type=email] {
      margin-bottom: .5em;
      display: block;
      background: transparent;
      border-bottom: 1px solid #fff;
    }

    input[type=submit] {
      padding: 3px 18px;
      background: #685019;
      font-size: smaller;
    }

    &--btn {
      margin-top: 1em;
      color: #fff;

      a {
        &:visited {
          color: inherit;
        }

        &:nth-child(2) {
          margin: 0 .5em;
        }
      }

      svg {

        padding: 5px;
        border-radius: 100%;
        font-size: 1.5em;
        background: #685019;
      }

    }

  }

  @media (max-width: $Large-devices) {
    grid-template-columns: none;
    justify-content: center;

    &-bkg {
      display: none;
    }

    &-data {
      text-align: center;
      margin-bottom: 20px;
    }

    &-link {
      text-align: center;
      border-left: 0px solid #fff;
      border-right: 0px solid #fff;
      margin-bottom: 20px;
    }

    &-social {
      text-align: center;
      display: grid;
      justify-content: center;
      margin-bottom: 20px;
    }

    &-responsive {
      position: fixed;
      bottom: 0;
      right: 0;
      grid-template-rows: repeat(4, 1fr) 2fr;
      grid-template-columns: 1fr;
      width: 100%;
      height: 60vh;
      z-index: 2;

      .footer-component-social--btn {
        display: flex;
        justify-content: center;
      }

      .footer-component-link {
        border-right: none;
        border-left: none;
        margin-top: 1em;
        grid-row-start: 2;
        grid-row-end: 2;
      }

      &+.footer-component-bkg {
        display: block;
      }
    }
  }
}